################################################################################
# Automatically-generated file. Do not edit!
################################################################################

# Add inputs and outputs from these tool invocations to the build variables 
CPP_SRCS += \
../Context.cpp \
../Lexer.cpp \
../Object.cpp \
../Parser.cpp \
../Token.cpp \
../main.cpp 

OBJS += \
./Context.o \
./Lexer.o \
./Object.o \
./Parser.o \
./Token.o \
./main.o 

CPP_DEPS += \
./Context.d \
./Lexer.d \
./Object.d \
./Parser.d \
./Token.d \
./main.d 


# Each subdirectory must supply rules for building sources it contributes
%.o: ../%.cpp
	@echo 'Building file: $<'
	@echo 'Invoking: Cross G++ Compiler'
	g++ -O0 -g3 -Wall -c -fmessage-length=0 -std=gnu++0x -MMD -MP -MF"$(@:%.o=%.d)" -MT"$(@:%.o=%.d)" -o "$@" "$<"
	@echo 'Finished building: $<'
	@echo ' '


